aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..8571dd9
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+aclocal || exit 1
+autoheader || exit 1
+libtoolize --automake -c -f || exit 1
+autoconf || exit 1
+automake -a -c || exit 1
+
+if [ -x ./test.sh ] ; then
+ exec ./test.sh "$@"
+fi